<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     version="1.0">

<xsl:output method="html"/>

<xsl:template match="actual_state_of_invertors">
<html>
<head>
<title>Data</title>
<link rel="StyleSheet"
      type="text/css"
      href="style.css"
      media="screen"
      title="Screen style"/>
</head>
<body>
<div id="page">
<div id="header">
<div id="logo">
<h1>Fotobot</h1>
<p>Collects data from your photovoltaic plant<br></br>Made by <a href="http://hobrasoft.cz/">Hobrasoft s.r.o.</a></p>
<p class="clear"></p></div><!-- logo -->
<div id="menu">
<ul>
<li><a href="/">Main page</a></li>
</ul>
<p class="clear"></p>
</div><!-- menu -->
</div><!-- header -->
<div id="content">
<h1><xsl:value-of select="FVEname"/></h1>
<table>
<tr class="line1st">
    <th colspan="3"></th>
    <th colspan="6">Now</th>
    <th colspan="6">Day</th>
    <th colspan="6">Total</th>
    <th colspan="3">Sensors</th>
    </tr>
<tr class="line2nd">
    <th>Addr</th>
    <th>Date</th>
    <th>Status</th>
    <th class="group">Pwr [W]</th>
    <th>AC [V]</th>
    <th>AC [A]</th>
    <th>AC [Hz]</th>
    <th>DC [V]</th>
    <th>DC [A]</th>
    <th class="group">Energy</th>
    <th>Pwr max</th>
    <th>AC max [V]</th>
    <th>AC min [V]</th>
    <th>DC max [V]</th>
    <th>Hours</th>
    <th class="group">Energy</th>
    <th>Pwr max [W]</th>
    <th>AC max [V]</th>
    <th>AC min [V]</th>
    <th>DC max [V]</th>
    <th>Hours</th>
    <th class="group">T1 [&#176;C]</th>
    <th>T2 [&#176;C]</th>
    <th>Irr [W/m&#179;]</th>
    </tr>
<xsl:apply-templates select="invertor"/>
<xsl:apply-templates select="sensors"/>
</table>
</div><!-- content -->
</div><!-- page -->
</body>
</html>
</xsl:template>

<xsl:template match="invertor">
<xsl:choose>
    <xsl:when test="error != ''">
        <tr><td><xsl:value-of select="line"/>/<xsl:value-of select="address"/></td>
            <td><xsl:value-of select="date"/></td>
            <td colspan="21"><xsl:value-of select="error"/></td>
            </tr>
    </xsl:when>
    <xsl:otherwise>
        <tr><td><xsl:value-of select="line"/>/<xsl:value-of select="address"/></td>
            <td><xsl:value-of select="date"/></td>
            <td><xsl:value-of select="status"/></td>
            <td><xsl:value-of select="now-power"/></td>
            <td><xsl:value-of select="now-ac-voltage"/></td>
            <td><xsl:value-of select="now-ac-current"/></td>
            <td><xsl:value-of select="now-ac-frequency"/></td>
            <td><xsl:value-of select="now-dc-current"/></td>
            <td><xsl:value-of select="now-dc-voltage"/></td>
            <td><xsl:value-of select="day-energy"/></td>
            <td><xsl:value-of select="day-power-maximum"/></td>
            <td><xsl:value-of select="day-ac-voltage-maximum"/></td>
            <td><xsl:value-of select="day-ac-voltage-minimum"/></td>
            <td><xsl:value-of select="day-dc-voltage-maximum"/></td>
            <td><xsl:value-of select="day-operating-hours"/></td>
            <td><xsl:value-of select="total-energy"/></td>
            <td><xsl:value-of select="total-power-maximum"/></td>
            <td><xsl:value-of select="total-ac-voltage-maximum"/></td>
            <td><xsl:value-of select="total-ac-voltage-minimum"/></td>
            <td><xsl:value-of select="total-dc-voltage-maximum"/></td>
            <td><xsl:value-of select="total-operating-hours"/></td>
            <td></td>
            <td></td>
            <td></td>
            </tr>
    </xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template match="sensors">
<xsl:choose>
    <xsl:when test="error != ''">
        <tr><td><xsl:value-of select="line"/>/<xsl:value-of select="address"/></td>
            <td><xsl:value-of select="date"/></td>
            <td colspan="22"><xsl:value-of select="error"/></td>
            </tr>
    </xsl:when>
    <xsl:otherwise>
        <tr><td><xsl:value-of select="line"/>/<xsl:value-of select="address"/></td>
            <td><xsl:value-of select="date"/></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td></td>
            <td><xsl:value-of select="temperature_1"/></td>
            <td><xsl:value-of select="temperature_2"/></td>
            <td><xsl:value-of select="irradiance"/></td>
            </tr>
    </xsl:otherwise>
</xsl:choose>
</xsl:template>

</xsl:stylesheet>
