/**
 * @file
 * @author Petr Bravenec
 * @copyright GNU Public License
 */

#ifndef _INVERTOR_STATUS_
#define _INVERTOR_STATUS_

#include <QString>

/**
 * @brief Stores the invertors status
 *
 * Information changes every time the invertor makes a new job
 * (reading, writing, waiting, errors, retries...)
 */
class INVERTOR_status {
  public:
    int         line;               ///< line number (database id)
    int         address;            ///< address of invertor
    int         retries;            ///< Number of retries
    QString     command;            ///< Current command pending
    QString     status;             ///< Status string
    QString     line_description;   ///< Line description
    int         working;            ///< Number of working invertors
    int         invertors;          ///< Number of invertors

    INVERTOR_status() {
        line=0; address=0; retries=0; working=0; invertors=0;
        }

};

#endif
