/**
 * @file
 * @author Petr Bravenec
 * @copyright GNU Public License
 */

#include "maintenance.h"
#include "database.h"
#include "static.h"

MAINTENANCE::MAINTENANCE(QObject *parent) : QObject(parent) {
    QTimer *timer = new QTimer(this);
    timer->setInterval(3600000); // 60 minutes
    timer->setSingleShot(false);
    timer->start();
    connect (timer, SIGNAL(timeout()),
             this,    SLOT(slotMaintenance()));
}

void MAINTENANCE::slotMaintenance() {
    QTime initime = QTime::currentTime();
    if (initime.hour() > 2) {
        return;
        }
    // Dělá se pouze v noci
    qDebug() << "maintenance begin";
    Static::db->execMaintenance();
    qDebug() << "maintenance end:" << initime.msecsTo(QTime::currentTime()) << "msecs";
}

