/**
 * @file
 * @copyright GNU Public License
 * @author Jiří Procházka
 * @author Petr Bravenec
*/

#ifndef _EXPORTCONTROLLER_H_
#define _EXPORTCONTROLLER_H_

#include "webpage.h"
#include "mrequesthandler.h"
#include "httprequest.h"
#include "httpresponse.h"

/**
 * @brief XML export controller
 *
 * This is a controller for interface to XML export of the last known state of invertors or their past recorded state.
 *
 * By default (with no parameters) the last known state of all invertors is returned.
 *
 * HTTP parameters "from" and "to" can be used to get past recorded state. They are expected to be in form of percent-encoded date-time string of format "yyyy-MM-dd hh:mm:ss".
 *
 * When just one parameter was given then all records from this time till last know state is returned.
 */
class ExportController : public MRequestHandler {
    Q_OBJECT
    Q_DISABLE_COPY(ExportController);
  public:

    /** Constructor */
    ExportController();

    /** Generates the response */
    void service(HttpRequest& request, HttpResponse& response);

};

#endif
