/**
 * @file
 * @author Petr Bravenec
*/

#include "geocontroller.h"
#include <QVariant>
#include <QDateTime>

GeoController::GeoController(){
    qRegisterMetaType<DBT_GEOCOORDINATES>();
    connect(this, SIGNAL(saveGeocoordinates(DBT_GEOCOORDINATES)), Static::db, SLOT(setGeocoordinates(DBT_GEOCOORDINATES)), Qt::BlockingQueuedConnection);
}

void GeoController::servicePrivate(HttpRequest& request) {
    QByteArray action = request.getParameter("action");

    /** Default action/page */

    actionGeo(request);
}

QString GeoController::getGeoFormContents(DBT_GEOCOORDINATES geo) {
    QString s;
    QString i ("<tr><td><label for=\"%2\">%1</label>: </td><td><input type=\"text\" name=\"%2\" value=\"%3\" /></td></tr>\n");
    s.append(i.arg(tr("Longitude"), "longitude", geo.longitude.toString()));
    s.append(i.arg(tr("Latitude"), "latitude", geo.latitude.toString()));
    return s;
}

void GeoController::readGeoForm(DBT_GEOCOORDINATES& geo, HttpRequest& request) {
    geo.longitude = request.getParameter("longitude");
    geo.latitude = request.getParameter("latitude");
}

/**
 * Edit geocoordinates settings action
 */
void GeoController::actionGeo(HttpRequest& request) {
    QByteArray action = request.getParameter("action");
    DBT_GEOCOORDINATES geo;
    /// a form
    write(QString("<h3>%1</h3>\n").arg(tr("Geographical coordinates settings")));
    write("<form method=\"post\">\n"
        "<input type=\"hidden\" name=\"action\" value=\"geo2\" />\n");
    if(action != "geo2") {
        DBT_GEOCOORDINATES g = Static::db->geocoordinates();
        qDebug() << "GEO" << g.longitude << g.latitude;
        write("<table class=\"formTable\">");
        write(getGeoFormContents(g));
        write("</table>");
    } else {
        readGeoForm(geo, request);
        write("<table class=\"formTable\">");
        write(getGeoFormContents(geo));
        write("</table>");
    }
    write(QString("<input type=\"submit\" value=\"%1\">\n"
    "</form>\n").arg(tr("Save")));
    if(action == "geo2") {
        /// second page doing the action and redirecting
        /// validation
        if(true) {
            emit saveGeocoordinates(geo);
            Static::slunce->setObserver(geo.latitude.toDouble(), geo.longitude.toDouble());
            QString location = QString("/settings?message=%1").arg(percentEncode(tr("Geographical coordinates edited.")));
            redirect(location);
        } else {
            write(QString("<p>%1</p>").arg(tr("Error: Geographical coordinates definition invalid.")));
        }
    }
}

