/**
 * @file
 * @file
 * @author Petr Bravenec
*/

#ifndef _GEOCONTROLLER_H_
#define _GEOCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class GeoController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(GeoController);
public:

    /** Constructor */
    GeoController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Generates an geo form contents (html input fields) */
    static QString getGeoFormContents(DBT_GEOCOORDINATES geo = DBT_GEOCOORDINATES());

    /** Read form HTTP post reply and load into the line */
    static void readGeoForm(DBT_GEOCOORDINATES& geo, HttpRequest& request);

signals:
    void saveGeocoordinates(DBT_GEOCOORDINATES);

private:
    void actionGeo(HttpRequest& request);
};

#endif
