/**
 * @file
 * @author Petr Bravenec, Jiří Procházka
 * @copyright GNU Public License
*/

#ifndef _INTERFACEBOXESCONTROLLER_H_
#define _INTERFACEBOXESCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class InterfaceboxesController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(InterfaceboxesController);
public:

    /** Constructor */
    InterfaceboxesController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Generates an edit form contents (html input fields) */
    static QString getEditFormContents(HttpRequest& request, const DBT_INTERFACEBOXES& line = DBT_INTERFACEBOXES(), bool generator = false);

    /** Read form HTTP post reply and load into the interfacebox */
    static void readForm(DBT_INTERFACEBOXES& interfacebox, HttpRequest& request);

signals:
    int  saveInterfacebox(DBT_INTERFACEBOXES);
    void deleteInterfacebox(int);
    void restartInterfacebox();

private:
    void actionAdd(HttpRequest& request);
    void actionEdit(HttpRequest& request);
    void actionDelete(HttpRequest& request);
    void actionRestart(HttpRequest& request);

};

#endif
