/**
 * @file
 * @author Petr Bravenec, Jiří Procházka
 * @copyright GNU Public License
*/

#ifndef _INVERTORSCONTROLLER_H_
#define _INVERTORSCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class InvertorsController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(InvertorsController);
public:

    /** Constructor */
    InvertorsController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Generates an edit form contents (html input fields) */
    static QString getEditFormContents(HttpRequest& request, DBT_INVERTORS line = DBT_INVERTORS(), bool generator = false);

    /** Read form HTTP post reply and load into the invertor */
    static void readForm(DBT_INVERTORS& invertor, HttpRequest& request);

signals:
    int saveInvertor(DBT_INVERTORS);
    void deleteInvertor(int);

private:
    void actionAdd(HttpRequest& request);
    void actionEdit(HttpRequest& request);
    void actionDelete(HttpRequest& request);

};

#endif
