/**
 * @file
 * @copyright GNU Public License
 * @author Petr Bravenec, Jiří Procházka
*/

#ifndef _LINESCONTROLLER_H_
#define _LINESCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class LinesController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(LinesController);
public:

    /** Constructor */
    LinesController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Generates an edit form contents (html input fields) */
    static QString getEditFormContents(const DBT_LINES& line = DBT_LINES());

    /** Read form HTTP post reply and load into the line */
    static void readForm(DBT_LINES& line, HttpRequest& request);

signals:
    int saveLine(DBT_LINES);
    void deleteLine(int);
    int saveInvertor(DBT_INVERTORS);

private:
    void actionAdd(HttpRequest& request);
    void actionEdit(HttpRequest& request);
    void actionDelete(HttpRequest& request);

};

#endif
