/**
 * @file
 * @copyright GNU Public License
 * @author Petr Bravenec, Jiří Procházka
*/

#include "mainpagecontroller.h"
#include "version.h"
#include <QVariant>
#include <QDateTime>

MainPageController::MainPageController() {
    m_needs_access_data     = true;
    m_needs_change_settings = false;
    m_javascript.append("var updateInterval = 1000;\n"
        "var xhring = 0;\n"
        "function getJSON(callback, url) {\n"
        "  var http_request = new XMLHttpRequest();\n"
        "  http_request.open('GET', url, true);\n"
        "  http_request.onreadystatechange = function () {\n"
        "    var done = 4, ok = 200;\n"
        "    if (http_request.readyState == done) { xhring = 0;\n"
        "      if (http_request.status == ok) {\n"
        "        callback(JSON.parse(http_request.responseText));\n"
        "  } } };\n"
        "  http_request.send(null);\n"
        "  xhring = 1;\n"
        "};\n"
        "function myCall(data) {\n"
        "  var t = document.getElementById('statusTable');\n"
        "  for(var i=t.rows.length; i>0; i--) {\n"
        "    t.deleteRow(0);\n"
        "  }\n"
        "  for(var i=0; i<data.status.length; i++) {\n"
        "    var oRow = t.insertRow(-1);\n"
        "    for(j in data.status[i]) {\n"
        "      var x = oRow.insertCell(-1);\n"
        "      x.innerHTML = data.status[i][j];"
        "} } };\n"
        "setInterval(function() { if(!xhring) {\n"
        "    getJSON(myCall, '/status');\n"
        "  } }, updateInterval);\n");
}

void MainPageController::servicePrivate(HttpRequest& request) {
    Q_UNUSED(request);
    // Status 
    write(QString("<h2>%1</h2>\n").arg(tr("Status")));
    write("<table class=\"status\">\n");
    write(QString(
        "<thead><tr><th>%1</th><th>%2</th><th>%3</th><th>%4</th><th>%5</th><th>%6</th><th>%7</th><th>%8</th></tr></thead>"
        "<tbody id=\"statusTable\">\n")
            .arg(tr("Line"), 
                 tr("Line Description"), 
                 tr("Address"), 
                 tr("Retries"), 
                 tr("Command"), 
                 tr("Working"), 
                 tr("Number"), 
                 tr("Status"))
            );
    write("</tbody></table>\n");

    about();
}
