/**
 * @file
 * @copyright GNU Public License
 * @author Petr Bravenec, Jiří Procházka
*/

#ifndef _NETWORKCONTROLLER_H_
#define _NETWORKCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class NetworkController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(NetworkController);
public:

    /** Constructor */
    NetworkController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Read form HTTP post reply and load into the line */
    // static void readForm(DBT_NETWORK& line, HttpRequest& request);

signals:

private:
    void        actionApply(HttpRequest& request);
    void        getConfigValues();

    QString     m_hostname;
    bool        m_ipv4_dhcp;
    QString     m_ipv4_addr;
    QString     m_ipv4_mask;
    QString     m_ipv4_router;
    QString     m_ipv4_dns;

};

#endif
