/**
 * @file
 * @copyright GNU Public License
 * @author Jiří Procházka
*/

#include "statuscontroller.h"

StatusController::StatusController() {}

void StatusController::service(HttpRequest& request, HttpResponse& response) {
    Q_UNUSED(request);
    response.setHeader("Content-Type", "application/json; charset=utf-8");
    QString body ("{\n"
            "\"status\" : [\n");

    QList<INVERTOR_status> sdata = Static::invertors->status();

    QList<INVERTOR_status>::const_iterator i;
    for(i = sdata.constBegin(); i != sdata.constEnd(); ++i) {
        const INVERTOR_status& is = *i;
        if(i != sdata.constBegin())
            body.append(",\n");
        body.append("\t{\n");

        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.line).arg("line"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.line_description).arg("line_description"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.address).arg("address"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.retries).arg("retries"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.command).arg("command"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.working).arg("working"));
        body.append(QString("\t\t\"%2\" : \"%1\",\n").arg(is.invertors).arg("invertors"));
        body.append(QString("\t\t\"%2\" : \"%1\"\n").arg(is.status).arg("status"));

        body.append("\t}\n");
    }
    body.append("]\n"
            "}\n");
    response.write(body.toUtf8());
}
