/**
 * @file
 * @copyright GNU Public License
 * @author Jiří Procházka
*/

#ifndef _STATUSCONTROLLER_H_
#define _STATUSCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"

/**
 * @brief status controller
 *
 * This is a controller for interface to status information of the power station.
 *
 * The return format is JSON.
 */
class StatusController : public HttpRequestHandler {
    Q_OBJECT
    Q_DISABLE_COPY(StatusController);
public:

    /** Constructor */
    StatusController();

    /** Generates the response */
    void service(HttpRequest& request, HttpResponse& response);
};

#endif

