/**
 * @file
 * @copyright GNU Public License
 * @author Petr Bravenec, Jiří Procházka
*/

#ifndef _USERSCONTROLLER_H_
#define _USERSCONTROLLER_H_

#include "webpage.h"
#include "httprequest.h"
#include "httpresponse.h"
#include "httprequesthandler.h"


class UsersController : public WebPage {
    Q_OBJECT
    Q_DISABLE_COPY(UsersController);
  public:
    /** Constructor */
    UsersController();

    /** Generates the response */
    void servicePrivate(HttpRequest& request);

    /** Generates an edit form contents (html input fields) */
    static QString getEditFormContents(const DBT_USERS& line = DBT_USERS());

    /** Read form HTTP post reply and load into the line */
    static void readForm(DBT_USERS& user, HttpRequest& request);

  signals:
    int  saveUser(DBT_USERS);
    void deleteUser(QString);

  private:
    void actionAdd(HttpRequest& request);
    void actionEdit(HttpRequest& request);
    void actionDelete(HttpRequest& request);

};

#endif
