/**
 * @file
 * @author Petr Bravenec, Jiří Procházka
 * @copyright GNU Public License
 */

#include "mrequesthandler.h"
#include "static.h"
#include <QVariant>
#include <QDateTime>

MRequestHandler::MRequestHandler() : HttpRequestHandler() {
    m_needs_access_data     = true;
    m_needs_change_settings = true;
    m_cacheable             = false;
}

bool MRequestHandler::needsLogin(HttpRequest& request, HttpResponse& response) {
    if (!m_needs_access_data && !m_needs_change_settings) {
        return false;
        }
    HttpSession session=Static::sessionStore->getSession(request,response);
    if ((m_needs_access_data     && !session.contains("can_access_data")) || 
        (m_needs_change_settings && !session.contains("can_change_settings"))) {
        Static::sessionStore->removeSession(session); 
        QByteArray path = request.getPath();
        QString    location = QString("/login?returnPath=%1").arg(QString(path.toPercentEncoding()));
        response.setStatus(301, "Moved Permanently");
        response.setHeader("Location", location.toUtf8());
        response.setHeader("Content-Type", "text/html; charset=utf-8");
        response.write(tr("<h1>Moved Permanently</h1><p>The document has moved <a href=\"%1\">here</a>.</p>\n").arg(location).toUtf8());
        return true;
        } 

    return false;
}


